Subject: Re: Suiqd as service [was: Re: New on sources: cygrunsrv-0.92]
From: "Gerrit P. Haase" <[email-masked]>
To: Corinna Vinschen <[email-masked]>
Date: Thu, 17 May 2001 12:47:58 +0200

Corinna Vinschen schrieb am 2001-05-17, 8:43:

> On Thu, May 17, 2001 at 08:44:03AM +1000, Robert Collins wrote:
> > ----- Original Message -----
> > > Squid forks not with -N, that is true, but it is not the same like
> > > with other daemons.
> > > With -N it does not forking AND does not run in the background,
> > > (according to the docs) so if it is not able to print on stderr ...
> > 
> > cygrun should be redirecting stdin,stdout and sterr. I don't know it if
> > does for sure - Corinna?
> 
> No, it doesn't yet. What about adding three options:
> 
> --stdin <file>,		defaults to /dev/null
> 
> --stdout <file>,	defaults to /var/log/<svc_name>.log
> 
> --stderr <file>,	defaults to /var/log/<svc_name>.log
> 

Yes, that should do it.

> 
> BTW, cygrunsrv is strictly GPL'd. As you can see from the version
> number (0.92) I don't think it's already finished. Feel free to
> send me patches and extensions. It's not a big load of code so I
> think it's an easy project for beginners as well.

Hmm, o.k. i'll take a look, but i couldn't promise to provide a patch,
so everyone feel free to do it, before i get it managed.

gph

-- 
=^..^=

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple